Loading...
Searching...
No Matches
Magick::PathArcAbs Class Reference
Inheritance diagram for Magick::PathArcAbs:

## Public Member Functions

| PathArcAbs (const PathArcArgs &coordinates_)
| PathArcAbs (const PathArcArgsList &coordinates_)
| PathArcAbs (const PathArcAbs &original_)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const

## Private Attributes

PathArcArgsList | _coordinates

## Detailed Description

Definition at line 2469 of file Drawable.h.

## Constructor & Destructor Documentation

## PathArcAbs() [1/3]

Magick::PathArcAbs::PathArcAbs | ( | const PathArcArgs & | coordinates_ | ) |

Definition at line 1832 of file Drawable.cpp.

: _coordinates(1,coordinates_)
{
}

## PathArcAbs() [2/3]

Magick::PathArcAbs::PathArcAbs | ( | const PathArcArgsList & | coordinates_ | ) |

Definition at line 1836 of file Drawable.cpp.

: _coordinates(coordinates_)
{
}

## PathArcAbs() [3/3]

Magick::PathArcAbs::PathArcAbs | ( | const PathArcAbs & | original_ | ) |

Definition at line 1840 of file Drawable.cpp.

: VPathBase (original_),
_coordinates(original_._coordinates)
{
}

## ~PathArcAbs()

Magick::PathArcAbs::~PathArcAbs | ( | void |  | ) |

Definition at line 1845 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::VPathBase * Magick::PathArcAbs::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 1858 of file Drawable.cpp.

{
return new PathArcAbs(*this);
}

## operator()()

void Magick::PathArcAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 1848 of file Drawable.cpp.

{
for( PathArcArgsList::const_iterator p = _coordinates.begin();
p != _coordinates.end(); p++ )
{
DrawPathEllipticArcAbsolute( context_, p->radiusX(), p->radiusY(),
p->xAxisRotation(), (MagickBooleanType) p->largeArcFlag(),
(MagickBooleanType) p->sweepFlag(), p->x(), p->y() );
}
}

## Field Documentation

## _coordinates

PathArcArgsList Magick::PathArcAbs::_coordinates

private

Definition at line 2491 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp